Last Comment Bug 714420 - object-aspect-ratio-2a.xhtml | assertion count 1 is more than expected 0 "ASSERTION: RECURSION_LEVEL(table_) > 0, file pldhash.cpp, line 707"
: object-aspect-ratio-2a.xhtml | assertion count 1 is more than expected 0 "ASS...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 681170 714445
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-12-30 21:35 PST by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor) 2011-12-30 21:35:35 PST
+++ This bug was initially created as a clone of Bug #681170 +++

https://tbpl.mozilla.org/php/getParsedLog.php?id=8248417&tree=Mozilla-Inbound

###!!! ASSERTION: RECURSION_LEVEL(table_) > 0: 'RECURSION_LEVEL(table) > 0', file /builds/slave/m-in-osx-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 707
PL_DHashTableOperate [obj-firefox/xpcom/build/pldhash.cpp:707]
PREF_GetIntPref [modules/libpref/src/prefapi.cpp:694]
mozilla::Preferences::GetInt [modules/libpref/src/Preferences.cpp:1132]
nsWebMReader::ReadMetadata [content/media/webm/nsWebMReader.cpp:310]
nsBuiltinDecoderStateMachine::DecodeMetadata [content/media/nsBuiltinDecoderStateMachine.cpp:1346]
nsBuiltinDecoderStateMachine::DecodeThreadRun [content/media/nsBuiltinDecoderStateMachine.cpp:428]
nsRunnableMethodImpl<void (nsBuiltinDecoderStateMachine::*)(),true>::Run [nsThreadUtils.h:346]
nsThread::ProcessNextEvent [xpcom/threads/nsThread.cpp:660]
NS_ProcessNextEvent_P [obj-firefox/xpcom/build/nsThreadUtils.cpp:245]
nsThread::ThreadFunc [xpcom/threads/nsThread.cpp:291]
_pt_root [nsprpub/pr/src/pthreads/ptthread.c:190]
libSystem.B.dylib + 0x32155
libSystem.B.dylib + 0x32012
REFTEST TEST-START | http://localhost:4444/1325307449647/337/webm-video/aspect-ratio-2-ref.html | 4978 / 7270 (68%)
++DOMWINDOW == 37 (0x10789f48) [serial = 13226] [outer = 0xa567790]
REFTEST TEST-KNOWN-FAIL(EXPECTED RANDOM) | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/object-aspect-ratio-2a.xhtml | image comparison (==)
REFTEST INFO | Loading a blank page
++DOMWINDOW == 38 (0x2a5a8048) [serial = 13227] [outer = 0xa567790]
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/object-aspect-ratio-2a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 1 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-01-01 09:12:58 PST
Should be fixed by Bug 714445.

Note You need to log in before you can comment on or make changes to this bug.